client.stub.irepositorytac

## Class ObjectFactory

- java.lang.Object
- - client.stub.irepositorytac.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the client.stub.irepositorytac package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: client.stub.irepositorytac

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JAXBElement<String>` | `createCreatedDocumentID(String value)` Create an instance of `JAXBElement``<``String``>`
    `Document` | `createDocument()` Create an instance of `Document`
    `JAXBElement<Document>` | `createDocument(Document value)` Create an instance of `JAXBElement``<``Document``>`
    `JAXBElement<String>` | `createDocumentID(String value)` Create an instance of `JAXBElement``<``String``>`
    `JAXBElement<DocumentIdsDTO>` | `createDocumentIds(DocumentIdsDTO value)` Create an instance of `JAXBElement``<``DocumentIdsDTO``>`
    `DocumentIdsDTO` | `createDocumentIdsDTO()` Create an instance of `DocumentIdsDTO`
    `DocumentIdsDTO.IdList` | `createDocumentIdsDTOIdList()` Create an instance of `DocumentIdsDTO.IdList`
    `FaultDetail` | `createFaultDetail()` Create an instance of `FaultDetail`
    `JAXBElement<FaultDetail>` | `createFaultException(FaultDetail value)` Create an instance of `JAXBElement``<``FaultDetail``>`
    `JAXBElement<String>` | `createPatientCode(String value)` Create an instance of `JAXBElement``<``String``>`
    `JAXBElement<String>` | `createReplacedDocumentID(String value)` Create an instance of `JAXBElement``<``String``>`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: client.stub.irepositorytac

  - ### Method Detail

    - #### createDocumentIdsDTO

          public DocumentIdsDTO createDocumentIdsDTO()

      Create an instance of `DocumentIdsDTO`

    - #### createFaultDetail

          public FaultDetail createFaultDetail()

      Create an instance of `FaultDetail`

    - #### createDocument

          public Document createDocument()

      Create an instance of `Document`

    - #### createDocumentIdsDTOIdList

          public DocumentIdsDTO.IdList createDocumentIdsDTOIdList()

      Create an instance of `DocumentIdsDTO.IdList`

    - #### createFaultException

          public JAXBElement<FaultDetail> createFaultException(FaultDetail value)

      Create an instance of `JAXBElement``<``FaultDetail``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``FaultDetail``>`

    - #### createPatientCode

          public JAXBElement<String> createPatientCode(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createDocumentID

          public JAXBElement<String> createDocumentID(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createDocumentIds

          public JAXBElement<DocumentIdsDTO> createDocumentIds(DocumentIdsDTO value)

      Create an instance of `JAXBElement``<``DocumentIdsDTO``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``DocumentIdsDTO``>`

    - #### createDocument

          public JAXBElement<Document> createDocument(Document value)

      Create an instance of `JAXBElement``<``Document``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``Document``>`

    - #### createReplacedDocumentID

          public JAXBElement<String> createReplacedDocumentID(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createCreatedDocumentID

          public JAXBElement<String> createCreatedDocumentID(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

Copyright © 2024. All rights reserved.